<script th:src="@{/js/autokosten.js}"></script>
<div class="flex flex-row gap-4">
    <div class="max-w-xs">
        <form class="bg-white shadow-md rounded p-2 dark:bg-inherit"
              data-hx-post="/fragments/autokosten" data-hx-target="main" data-hx-push-url="/autokosten">
            <div class="mb-2">
                <label class="block text-gray-700 text-sm font-bold mb-2 dark:text-inherit" for="description">Beschreibung</label>
                <input class="dark:bg-gray-700 dark:text-inherit shadow appearance-none border rounded w-full py-2 px-3 text-gray-700
                              leading-tight focus:outline-none focus:shadow-outline"
                       type="text" name="description" id="description"/>
            </div>
            <div class="mb-2">
                <label class="block text-gray-700 text-sm font-bold mb-2 dark:text-inherit" for="betrag">Betrag</label>
                <input class="dark:bg-gray-700 dark:text-inherit shadow appearance-none border rounded w-full py-2 px-3 text-gray-700
                              leading-tight focus:outline-none focus:shadow-outline"
                       type="number" step="0.01" name="betrag" id="betrag"/>
            </div>
            <div class="mb-2">
                <label class="block text-gray-700 text-sm font-bold mb-2 dark:text-inherit" for="datum">Datum</label>
                <input class="dark:bg-gray-700 dark:text-inherit shadow appearance-none border rounded w-full py-2 px-3 text-gray-700
                              leading-tight focus:outline-none focus:shadow-outline"
                       type="date" name="datum" id="datum"/>
            </div>
            <div class="mb-2">
                <label class="block text-gray-700 text-sm font-bold mb-2 dark:text-inherit"
                       for="tageskilometer">Tageskilometer</label>
                <input class="dark:bg-gray-700 dark:text-inherit shadow appearance-none border rounded w-full py-2 px-3 text-gray-700
                              leading-tight focus:outline-none focus:shadow-outline"
                       type="number" name="tageskilometer" id="tageskilometer"/>
            </div>
            <div class="mb-2">
                <label class="block text-gray-700 text-sm font-bold mb-2 dark:text-inherit"
                       for="gesamtkilometer">Gesamtkilometer</label>
                <input class="dark:bg-gray-700 dark:text-inherit shadow appearance-none border rounded w-full py-2 px-3 text-gray-700
                              leading-tight focus:outline-none focus:shadow-outline"
                       type="number" name="gesamtkilometer" id="gesamtkilometer"/>
            </div>
            <div class="mb-2">
                <label class="block text-gray-700 text-sm font-bold mb-2 dark:text-inherit" for="liter">Liter</label>
                <input class="dark:bg-gray-700 dark:text-inherit shadow appearance-none border rounded w-full py-2 px-3 text-gray-700
                              leading-tight focus:outline-none focus:shadow-outline"
                       type="number" step=".01" name="liter" id="liter"/>
            </div>
            <div class="mb-2">
                <label class="block text-gray-700 text-sm font-bold mb-2 dark:text-inherit" for="id">ID</label>
                <input class="dark:bg-gray-700 dark:text-inherit shadow appearance-none border rounded w-full py-2 px-3 text-gray-700
                              leading-tight focus:outline-none focus:shadow-outline"
                       type="number" name="id" id="id"/>
            </div>
            <button class="dark:bg-gray-600 dark:text-gray-200 bg-blue-500 hover:bg-blue-700 text-white font-bold p-0.5 rounded
                           focus:outline-none focus:shadow-outline dark:hover:text-gray-800 dark:hover:bg-gray-400"
                    type="submit" name="save">Save
            </button>
        </form>
    </div>
    <div class="shadow-md rounded flex-1">
        <table class="block sm:table w-full ">
            <thead class="hidden sm:table-header-group font-bold italic bg-[#00b89c] dark:bg-gray-600">
                <tr class="table-row">
                    <th class="table-cell text-left pr-1 p-1">Datum</th>
                    <th class="table-cell text-right pr-1 p-1">Betrag</th>
                    <th class="table-cell text-right pr-1 p-1">Tages&shy;kilometer</th>
                    <th class="table-cell text-right pr-1 p-1">Gesamt&shy;kilometer</th>
                    <th class="table-cell text-right pr-1 p-1">Liter</th>
                    <th class="table-cell text-right pr-1 p-1">Durch&shy;schnitt</th>
                    <th class="table-cell text-left pr-1 p-1">Beschrei&shy;bung</th>
                    <th class="table-cell pr-1 p-1"></th>
                </tr>
            </thead>
            <tbody class="table-row-group">
                <tr class="flex flex-col border mb-4 sm:mb-auto sm:border-none sm:table-row sm:font-bold">
                    <td class="flex flex-col font-bold text-xl sm:table-cell sm:pr-1 sm:p-1">Gesamt</td>
                    <td class="flex flex-col sm:table-cell sm:pr-1 sm:p-1">
                        <label class="font-bold sm:hidden">Betrag</label>
                        <div class="sm:text-right" th:text="${#numbers.formatDecimal(gesamt.betrag, 2, 2)}"></div>
                    </td>
                    <td class="flex flex-col sm:table-cell sm:pr-1 sm:p-1">
                        <label class="font-bold sm:hidden">Tageskilometer</label>
                        <div class="sm:text-right" th:text="${gesamt.tageskilometer}"></div>
                    </td>
                    <td class="flex flex-col sm:table-cell sm:pr-1 sm:p-1">
                        <label class="font-bold sm:hidden">Gesamtkilometer</label>
                        <div class="sm:text-right" th:text="${#numbers.formatInteger(gesamt.gesamtkilometer, 0, 'POINT')}"></div>
                    </td>
                    <td class="flex flex-col sm:table-cell sm:pr-1 sm:p-1">
                        <label class="font-bold sm:hidden">Liter</label>
                        <div class="sm:text-right" th:text="${#numbers.formatDecimal(gesamt.liter, 2, 2)}"></div>
                    </td>
                    <td class="flex flex-col sm:table-cell sm:pr-1 sm:p-1">
                        <label class="font-bold sm:hidden">Durchschnitt</label>
                        <div class="sm:text-right" th:text="${#numbers.formatDecimal(gesamt.average, 0, 2)}"></div>
                    </td>
                    <td class="flex flex-col sm:table-cell sm:pr-1 sm:p-1"></td>
                </tr>
                <tr class="flex flex-col mb-2 sm:table-row even:bg-gray-200 hover:bg-blue-200 cursor-pointer dark:even:bg-gray-700 dark:hover:bg-stone-500"
                     th:each="entry : ${entries}" th:data-id="${entry.id}" onclick="select(this)">
                    <td class="flex flex-col sm:table-cell sm:pr-1 sm:p-1">
                        <label class="font-bold sm:hidden">Datum</label>
                        <time th:datetime="${entry.datum}" th:text="${#temporals.format(entry.datum, 'dd.MM.yyyy')}"></time></td>
                    <td class="flex flex-col sm:table-cell sm:pr-1 sm:p-1" th:data-betrag="${entry.betrag}">
                        <label class="font-bold sm:hidden">Betrag</label>
                        <div class="sm:text-right" th:text="${#numbers.formatDecimal(entry.betrag, 1, 2)}"></div>
                    </td>
                    <td class="flex flex-col sm:table-cell sm:pr-1 sm:p-1" th:data-tageskilometer="${entry.tageskilometer}">
                        <label class="font-bold sm:hidden">Tageskilometer</label>
                        <div class="sm:text-right" th:text="${entry.tageskilometer}"></div>
                    </td>
                    <td class="flex flex-col sm:table-cell sm:pr-1 sm:p-1" th:data-gesamtkilometer="${entry.gesamtkilometer}">
                        <label class="font-bold sm:hidden">Gesamtkilometer</label>
                        <div class="sm:text-right" th:text="${#numbers.formatInteger(entry.gesamtkilometer, 0, 'POINT')}"></div>
                    </td>
                    <td class="flex flex-col sm:table-cell sm:pr-1 sm:p-1" th:data-liter="${entry.liter}">
                        <label class="font-bold sm:hidden">Liter</label>
                        <div class="sm:text-right" th:text="${#numbers.formatDecimal(entry.liter, 1, 2)}"></div>
                    </td>
                    <td class="flex flex-col sm:table-cell sm:pr-1 sm:p-1" th:data-average>
                        <label class="font-bold sm:hidden">Durchschnitt</label>
                        <div class="sm:text-right" th:text="${#numbers.formatDecimal(entry.average, 1, 2)}"></div>
                    </td>
                    <td class="flex flex-col sm:table-cell sm:pr-1 sm:p-1" th:data-description="${entry.description}">
                        <label class="font-bold sm:hidden">Beschreibung</label>
                        <div class="" th:text="${entry.description}"></div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
